## com.baidubce.services.lss.model
Class HlsEncryption

    java.lang.Object
      com.baidubce.services.lss.model.HlsEncryption

    public class HlsEncryption

extends Object

Constructor Summary
`HlsEncryption()`

Method Summary
`String` `getStrategy()`
`void` `setStrategy(String strategy)`
`String` `toString()`
`HlsEncryption` `withStrategy(String strategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HlsEncryption

    public HlsEncryption()

Method Detail

### getStrategy

    public String getStrategy()

### setStrategy

    public void setStrategy(String strategy)

### withStrategy

    public HlsEncryption withStrategy(String strategy)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.